#include "ResourcePool/oracle/ResourcePool.hh"

#include "t/main.hh"

#include "testconfig.cc"
#include "../SQL/SQLBatch.t.cc"

std::auto_ptr<RP> rp;

void INIT_oracle_SQLBatch() {
	rp.reset(new RP(getFactory()));
	test_SQLBatch_init(*rp);
}

void TEST_oracle_SQLBatch_one() {
	test_SQLBatch_one(*rp);
}

void TEST_oracle_SQLBatch_fail() {
	test_SQLBatch_fail(*rp);
}
